Robotsystem of the Robot Group Leipzig: Sphere Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Sphere Class Reference

Sphere primitive. More...

`#include <primitive.h>`

Inherits Primitive.

Inheritance diagram for Sphere:

[legend]
Collaboration diagram for Sphere:

[legend]
List of all members.

## Public Member Functions
| Sphere (float radius)
virtual | ~Sphere ()
virtual void | init (const OdeHandle &odeHandle, double mass, const OsgHandle &osgHandle, char mode=Body|Geom|Draw)
| registers primitive in ODE and OSG.
virtual void | update ()
| Updates the OSG nodes with ODE coordinates.
virtual OSGPrimitive * | getOSGPrimitive ()
| returns the assoziated osg primitive if there or 0
## Protected Attributes
OSGSphere * | osgsphere

## Detailed Description

Sphere primitive.

## Constructor & Destructor Documentation

Sphere | ( | float | radius | ) |

~Sphere | ( |  | ) | `[virtual]`

## Member Function Documentation

OSGPrimitive * getOSGPrimitive | ( |  | ) | `[virtual]`

returns the assoziated osg primitive if there or 0

Implements Primitive.

void init | ( | const OdeHandle & | odeHandle,
|  | double | mass,
|  | const OsgHandle & | osgHandle,
|  | char | mode = `Body|Geom|Draw` |
| ) |  |  | `[virtual]`

registers primitive in ODE and OSG.

Parameters:

  | osgHandle | scruct with ODE variables inside (to specify space, world...)
  | mass | Mass of the object in ODE (if withBody = true)
  | osgHandle | scruct with OSG variables inside (scene node, color ...)
  | mode | is a conjuction of Modes.

Implements Primitive.

void update | ( |  | ) | `[virtual]`

Updates the OSG nodes with ODE coordinates.

This function must be overloaded (usually calls setMatrix of OsgPrimitives)

Implements Primitive.

## Member Data Documentation

OSGSphere* osgsphere`[protected]`

The documentation for this class was generated from the following files:

- primitive.h
- primitive.cpp